# Get solution for project

Returns a solution for a project.

Endpoint: GET /v1/projects/{projectId}/whatsapp/solutions/{solutionId}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `solutionId` (string, required)
    The unique ID of the solution.

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique ID of the solution

  - `details` (object, required)
    Solution details and information.

  - `details.name` (string, required)
    The name of the solution.

  - `assigned` (boolean, required)
    If project has been assigned to this solution.

  - `partnerApp` (object)
    The Meta App of the Tech Provider.

  - `partnerApp.id` (number, required)
    The unique ID of the Meta App.

  - `partnerApp.name` (string, required)
    The name of the Meta App.

  - `ownerApp` (object)
    The Meta App of the Solution Partner (e.g. Sinch).

  - `ownerApp.id` (number, required)
    The unique ID of the Meta App.

  - `ownerApp.name` (string, required)
    The name of the Meta App.

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `body` (ProjectNotFoundErrorTitle (object) or SolutionNotFoundErrorTitle (object)) — one of:
    - ProjectNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "project_not_found"
      - `message` (string)
        Human readable message.
        Example: "Project not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the projectId is correct."
    - SolutionNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "solution_not_found"
      - `message` (string)
        Human readable message.
        Example: "Solution not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the parameters are correct."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


